Foreman - Bug #9314

power-state change on vms in aws-compute resource cause 500 server error
02/10/2015 01:12 PM - Brian Galura

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| have not been able to get power actions to work through the v2 APl on foreman 1.7.1. | am following the API spec here:
http://theforeman.org/api/apidoc/v2/hosts/power.html

curl -X PUT --user user:pass -H "Content-Type: application/json" -d '{"power_action":"status", "hos
t":{}}"' https: foreman/api/v2/hosts/testhost.example.com/power

{

"error": {"message":"undefined method "“search_for' for #&1lt;Class:0x000000045395e0&gt; "}

}

Full stack trace: http:/pastebin.com/dtwx6x2e

The same operation works OK in the UI.

[root@foreman?2.cs.ops ~J# foreman-debug

HOSTNAME: foreman2.cs.ops.expertcity.com
0S: redhat
RELEASE: Red Hat Enterprise Linux Server release 6.6 (Santiago)
FOREMAN: 1.7.1
RUBY: ruby 1.8.7 (2013-06-27 patchlevel 374) [x86_64-1inux]
PUPPET:
DENIALS: O

A debug file has been created: /tmp/foreman-debug-ORzeH.tar.bz2 (18797850 bytes)

You may want to upload the tarball to our public server via rsync. There is a

write only directory (readable only by Foreman core developers) for that. Note

the rsync transmission is UNENCRYPTED:

rsync /tmp/foreman—-debug-ORzeH.tar.bz2 rsync://theforeman.org/debug-incoming
Do you want to do this now? [y/N] y

Uploading...
The tarball has been uploaded, please contact us on mailing list or IRC.

Related issues:
Is duplicate of Foreman - Bug #8812: Pass model type in API base controller Closed 12/30/2014

History

#1 - 02/11/2015 04:41 AM - Dominic Cleal
- Is duplicate of Bug #8812: Pass model type in API base controller added
#2 - 02/11/2015 04:41 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we have a patch tracked under #8812 which fixes this error that occurs for non-admin users.
